Bug 747403 - Allow automember to work on entries that have already been added
Allow automember to work on entries that have already been added
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Server - Plugins (Show other bugs)
1.2.9
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
:
Depends On:
Blocks: 389_1.3.0 690319 768084
  Show dependency treegraph
 
Reported: 2011-10-19 13:46 EDT by Nathan Kinder
Modified: 2015-01-04 18:51 EST (History)
1 user (show)

See Also:
Fixed In Version: 389-ds-base-1.2.11.1-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 768084 (view as bug list)
Environment:
Last Closed: 2013-03-04 18:36:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nathan Kinder 2011-10-19 13:46:26 EDT
The automember plug-in currently checks ADD operations to see if the entry matches one of the defined automember rules.  Existing entries are not checked when they are modified to avoid a performance impact to modify operations.  We should provide a way to have the automember plug-in check existing entries to see if any automember work needs to be done.  This is something that the FreeIPA project would like to see.

A good way of accomplishing this would be to add a task to the automember plug-in.  The creator of the task would provide a search filter and base.  All matching entries would be checked against the defined automember rules to see if they should be added to any groups.  This allows one to add the triggering attributes/values after the entry was initially added, and then trigger the task to perform automember updates.  The nice thing about this approach is that we don't cause any negative performance impact on normal modify operations.
Comment 3 Martin Kosek 2012-01-04 08:18:27 EST
Upstream ticket:
https://fedorahosted.org/389/ticket/20
Comment 4 Nathan Kinder 2013-03-04 18:36:25 EST
This was fixed in 389-ds-base-1.2.11.1-1.fc17.  Closing.

Note You need to log in before you can comment on or make changes to this bug.